.categories-grid-container{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 24px;
    width: 100%;
    align-items: stretch;
    padding: 32px 40px;
}

.categories-grid-container .category-grid-item{
    display: flex;
    flex-direction: row;
    align-items: start;
    gap: 16px;
    padding: 12px 0;
    transition: 0.3s;
    border-bottom: 1px solid var(--very-light-grey);
}

.categories-grid-container .category-grid-item:nth-child(5n + 1):nth-last-child(-n + 5),
.categories-grid-container .category-grid-item:nth-child(5n + 1):nth-last-child(-n + 5) ~ .category-grid-item { 
    border-bottom: 0;
}

.categories-grid-container .category-grid-item-info{
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 6px;
    padding: 0;
    flex: 1;
}

.categories-grid-container .category-grid-item-info .title{
    color: var(--black);
    font-family: Manrope;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 140%; /* 22.4px */
    transition: 0.3s;
}

[dir=rtl] .categories-grid-container .category-grid-item-info .title{
    font-family: "Noto Sans Arabic";
}

.categories-grid-container .category-grid-item-info .description-medium{
    color: var(--grey-60);
    -webkit-line-clamp: 2;
    text-overflow: ellipsis;
    overflow: hidden;
    -webkit-box-orient: vertical;
    display: -webkit-box;
}

.categories-grid-container .category-grid-item img{
    flex-shrink: 0;
    width: 32px;
    height: 32px;
    object-fit: cover;
    object-position: center;
}

@media (hover: hover){
    .categories-grid-container .category-grid-item:hover{
        border-color: var(--light-grey);
    }

    .categories-grid-container .category-grid-item:hover .title{
        color: var(--dark-accent);
    }
}

@media (max-width: 1919px) {
    .categories-grid-container{
        padding: 24px 40px;
    }
}

@media (max-width: 1439px) {
    .categories-grid-container{
        column-gap: 20px;
        row-gap: 16px;
        grid-template-columns: repeat(4, 1fr);
    }

    .categories-grid-container .category-grid-item:nth-child(5n + 1):nth-last-child(-n + 5),
    .categories-grid-container .category-grid-item:nth-child(5n + 1):nth-last-child(-n + 5) ~ .category-grid-item { 
        border-bottom: 1px solid var(--very-light-grey);
    }

    .categories-grid-container .category-grid-item:nth-child(4n + 1):nth-last-child(-n + 4),
    .categories-grid-container .category-grid-item:nth-child(4n + 1):nth-last-child(-n + 4) ~ .category-grid-item { 
        border-bottom: 0 !important;
    }

    .categories-grid-container .category-grid-item-info .title{
        font-size: 14px;
    }

    [dir=rtl] .categories-grid-container .category-grid-item-info .title{
        font-size: 16px;
    }
}

@media (max-width: 1279px) {
    .categories-grid-container{
        gap: 16px;
    }

    .categories-grid-container .category-grid-item{
        gap: 0;
        padding: 12px;
    }

    .categories-grid-container .category-grid-item-info{
        padding: 4px 0;
    }

    .categories-grid-container .category-grid-item img{
        display: none;
    }
}

@media (max-width: 1079px) {
    
}

@media (max-width: 577px) {
    
}